package ch.zhaw.projekt2.turnierverwaltung;

public class Place {
    private final String NAME_MATCHING_REGEX = "[a-zA-Z0-9]{1,20}";
    private String name;

    public Place(String name) throws InvalidNameException {
        if(!name.matches(NAME_MATCHING_REGEX)){
            throw new InvalidNameException("The Name is Invalid.");
        }
        setName(name);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
